#!/usr/bin/env tclsh

set dir [pwd]
set dir [string range $dir 0 end-15]
set ::auto_path "$::auto_path $dir"

package require Tk
package require Tcl 8.5
package require tktopdf

wm geometry . =400x600

. configure -bg green

scale .sc \
    -bg red \
    -orient horizontal \
    -label labelelele \
    -font {Helvetica 20} \
    -borderwidth 8 \
    -relief solid \
    -width 200 \
    -sliderrelief groove \
    -tickinterval 2 \
    -troughcolor "gray" \
    -sliderlength 36 \
    -from 0 \
    -to 4.5 \
    -resolution 0.1 \
    -highlightthickness 10

pack .sc

tktopdf::startFile -file "scale_little.pdf" \
        -scalex 1.0 -scaley 1.0 \
        -marginleft 0.5i -margintop 0.5i -marginright 0.5i -marginbottom 0.5i \
        -pagex 0 -pagey 0 \
        -rotatexy 0 -pagewidth 400 -pageheight 600
tktopdf::exportWindow .
tktopdf::endFile
